### Method

# GLib Variant get_type

since: 2.24

#### Declaration [src]

    const GVariantType*
    g_variant_get_type (
      GVariant* value
    )

#### Description [src]

Determines the type of `value`.

The return value is valid for the lifetime of `value` and must not be freed.

Available since: 2.24

#### Return value

Type: `GVariantType`

A `GVariantType`.

The returned data is owned by the instance.